For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all service requests
        • GETGet a service request by ID
        • GETGet all service request categories
        • GETGet service request category by ID
        • POSTCreate Service Request: ResMan
        • PUTUpdate Service Request: ResMan
        • POSTCreate Service Request History: ResMan - Not Supported
        • POSTCreate Service Request Files: ResMan
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManService Requests

Create Service Request: ResMan

POST
/v1/service-requests/resman/
POST
/v1/service-requests/resman/
$curl -X POST https://api.propexo.com/v1/service-requests/resman/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "int-789456123",
> "property_id": "prop-123456789",
> "service_request_category_id": "cat-987654321",
> "date_created": "2024-01-15T09:30:00Z",
> "service_description": "Leaking faucet in the kitchen needs repair",
> "reported_by": "John Doe",
> "status_raw": "Submitted"
>}'
1{
2 "meta": {
3 "job_id": "job-20240115-001"
4 },
5 "result": {
6 "integration_id": "int-789456123",
7 "property_id": "prop-123456789",
8 "service_request_category_id": "cat-987654321",
9 "unit_id": "unit-456789123",
10 "employee_id": "emp-321654987",
11 "date_created": "2024-01-15T09:30:00Z",
12 "service_description": "Leaking faucet in the kitchen needs repair",
13 "reported_by": "John Doe",
14 "date_due": "2024-01-20T17:00:00Z",
15 "status_raw": "Submitted",
16 "date_completed": "2024-01-22T15:45:00Z"
17 }
18}
Create Service Request: ResMan | Interface | Method | |---|---| | Work Orders | /WorkOrders/PostWorkOrders | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Update Service Request: ResMan

Next
Built with

Create Service Request: ResMan

InterfaceMethod
Work Orders/WorkOrders/PostWorkOrders
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
property_idstringRequired
The Propexo unique identifier for the property
service_request_category_idstringRequired
The Propexo unique identifier for the service request category
date_createdstringRequiredformat: "date-time"
The date the service request was created
service_descriptionstringRequired
A description of the service request
reported_bystringRequired
The name of the person who reported this service request
status_rawenumRequired
The status associated with the service request
unit_idstringOptional
The Propexo unique identifier for the unit
employee_idstringOptional
The Propexo unique identifier for the employee. Please note that due to a lack of proper unique IDs in Resman, multiple duplicate employees may exist for the same actual employee. You may use any one of those duplicate record IDs for this API call.
date_duestringOptionalformat: "date-time"
The due date associated with the service request
date_completedstringOptionalformat: "date-time"
The date the service request was completed

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error